FIXINCLUDES(1)

NOM
fixincludes - Redueix el nombre de #includes en els fitxers font del KDE

SINOPSI

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [fitxer] [--help]

DESCRIPCIÓ

fixincludes intenta reduir el nombre de #includes en els fitxers de codi font de C++. La majoria del processament que realitza és específic per a KDE pel que és possible que no funcioni tan bé sobre fonts d'aplicacions no KDE.

Els següents problemes són identificats per fixincludes:

    • Incloure capçaleres que ja no estan suportades però que existeixen per compatibilitat amb antigues versions de Qt/KDE;

    • Incloure el mateix fitxer múltiples vegades.

També disposa d'un mode experimental que intenta eliminar un #include cada vegada (amb algunes excepcions) per a comprovar si el codi segueix compilant. Tingueu present que això modifica el codi font original.

Per omissió, no es modifiquen els fitxers originals, simplement s'escriuen a l'eixida estàndard.

La llista de fitxers de C++ a analitzar haurà de ser indicada mitjançant la línia d'ordres. Si no s'indica cap fitxer, s'examinaran els del directori actual junt amb els seus subdirectoris (menys els que en el seu fitxer Makefile.am contingui les opcions -UQT_NO_COMPAT o -UKDE_NO_COMPAT).

Aquesta utilitat forma part del joc per a desenvolupar programari del KDE.

OPCIONS

-v, --verbose
    Mode informatiu. Mostra informació de depuració addicional escrivint-la a l'eixida estàndard.

-e, --experimental
    Mode experimental, ja ha estat descrit amb detall abans. Tingueu present que aquesta opció implica --modify.

-m, --modify
    Alhora que escriu els missatges a través de l'eixida estàndard, es modifica el codi original per a solucionar qualsevol problema trobat.

AUTORS

fixincludes ha estat escrit per en Dirk Mueller mueller@kde.org.

AUTOR

Burton, Ben <bab@debian.org>
    Autor.